# Retrieve an order item data extension

Retrieves a data extension for an order item.

Endpoint: GET /v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `orderItemRef` (string, required)
    The order item reference. This is a unique identifier of the order item. Automatically generated when you created the order item. If you don't know the order item reference, first list order items.
    Example: "2d7de9df-45a2-45ea-872c-30e45139007d"

  - `dataExtensionName` (string, required)
    The data extension name. You must set this to ext.
    Example: "ext"

## Response 200 fields (application/json):

  - `name` (string)
    The name of the data extension.
    Example: "ext"

  - `href` (string)
    The URL of the order item extension.
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/f7aabbca-1c1b-4fc2-be72-3e16294a4f03/extensions/ext"

  - `ref` (string)
    The order item extension reference.
    Example: "6a5cb3c2-1a4a-56d8-8a01-1ede232b9db2"

  - `key` (string)
    The value "default".
    Example: "default"

  - `createdAt` (string)
    The date and time when the resource was created in Sitecore CDP.
    Example: "2024-01-01T16:17:16Z"

  - `modifiedAt` (string)
    The date and time when the resource was last updated in Sitecore CDP.
    Example: "2024-01-01T16:17:16Z"

  - `{exampleKey1}` (string,boolean,integer,number)
    A key-value pair in the data extension.
 Example: "withWarranty": true
    Example: "{exampleValue1}"

  - `{exampleKey2}` (string,boolean,integer,number)
    A key-value pair in the data extension.
 Example: "color": "obsidian"
    Example: "{exampleValue2}"

  - `orderItem` (object)
    The request's last list of order items URL.

  - `orderItem.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333"

## Response 404 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 409

  - `code` (integer)
    The HTTP response status code.
    Example: 409

  - `message` (string)
    Error description.
    Example: "Data extension ext already exists."

  - `developerMessage` (string)
    Error description for developers.
    Example: "409 (Conflict): Data extension ext already exists."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"


